Subject: Why is destructor_arg in shinfo?

From: Jeremy Fitzhardinge <[email-masked]>
Date: Tue, 29 Jun 2010 16:09:13 +0200

Hi,

I'm wondering why "net: TX_RING and packet mmap" (69e3c75) ended up
putting the skb destructor's arg in the skb's shinfo.  It seems like an
odd mismatch, since the skb and the shinfo have different lifetimes. 
And in principle you might have two skbs with different destructors
sharing a shinfo, and therefore conflict over the use of destructor_arg.

What's the rationale?

Would it make sense to have a shinfo destructor as well?

Thanks,
    J